@charset "UTF-8";

html {
    font-size: 62.5%;
    letter-spacing: 0.05em;
    font-family: "Noto Sans JP", sans-serif;
    -webkit-text-size-adjust: none;

    @media screen and (min-width: 1080.01px) and (max-width: 1919.99px) {
        font-size: calc(10 / 1920 * 100 * 1vw);
    }

    /* あまりにも文字サイズが小さくなった場合 */
    @media screen and (min-width: 767.01px) and (max-width: 1080px) {
        font-size: calc(12 / 1920 * 100 * 1vw);
    }

    /* スマホ用（デザインサイズが375の場合） */
    @media screen and (max-width: 767px) {
        font-size: calc(10 / 375 * 100 * 1vw);
    }
}

body.login {
    background-color: #f5f5f5;
    height: 100dvh;
    position: relative;

    #login {
        padding-bottom: 18rem;
        width: initial;
        padding: 0;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);

        @media screen and (max-width: 767px) {
            padding-bottom: 9rem;
            width: calc(100% - 3rem);
        }

        .wp-login-logo {
            & a {
                height: initial;
                pointer-events: none;
                background-image: url(../common/img/logo.svg);
                background-size: contain;
                display: block;
                width: 18.9rem;
                height: 6.8rem;
                margin: auto;

                @media screen and (max-width: 767px) {
                    width: 16rem;
                    height: 5rem;
                }
            }
        }

        #login-message {
            display: none;
        }

        #loginform {
            border: none;
            margin: 6.5rem 0 0;
            background-color: #fff;
            border-radius: 1rem;
            box-shadow: 0 0.3rem 0.6rem rgba(0, 0, 0, 0.16);
            padding: 8rem 9rem 5rem;

            @media screen and (max-width: 767px) {
                margin: 4rem 0 0;
                border-radius: 0.5rem;
                padding: 5rem 1.5rem;
            }

            & label {
                font-family: "Noto Sans JP";
                margin-bottom: 0;
                font-weight: bold;
                font-size: 1.8rem;
                letter-spacing: 0.05em;
                line-height: 2;
                color: #000;

                @media screen and (max-width: 767px) {
                    font-size: 1.4rem;
                }
            }

            & input[type="text"],
            & input[type="password"] {
                margin: 0;
                min-height: initial;
                height: 5.4rem;
                border-radius: 1rem;
                border: 0.1rem solid #A1A1A1;
                padding: 1.5rem;
                font-family: "Noto Sans JP";
                font-size: 1.8rem;
                line-height: 1;

                @media screen and (max-width: 767px) {
                    height: 4rem;
                    border-radius: 0.5rem;
                    font-size: 1.4rem;
                }
            }

            & input:focus {
                border-color: #dc000c;
                box-shadow: none;
                outline: none;
            }

            & p:first-of-type {
                display: grid;
                grid-template-columns: 10rem 45rem;
                gap: 2rem;
                align-items: center;

                @media screen and (max-width: 767px) {
                    grid-template-columns: 1fr 3fr;
                    gap: 1rem;
                }

                & label {}

                #user_login {}
            }

            .user-pass-wrap {
                margin-top: 1rem;
                display: grid;
                grid-template-columns: 10rem 45rem;
                gap: 2rem;
                align-items: center;

                @media screen and (max-width: 767px) {
                    grid-template-columns: 1fr 3fr;
                    gap: 1rem;
                }

                & label {}

                .wp-pwd {
                    position: relative;

                    #user_pass {
                        padding-right: 3rem;
                    }

                    .button {
                        padding: 0;
                        position: absolute;
                        right: 1rem;
                        top: 50%;
                        color: #dc000c;
                        transform: translateY(-50%);
                        min-width: initial;
                        min-height: initial;
                        display: flex;
                        justify-content: center;
                        align-items: center;

                        .dashicons {
                            width: initial;
                            height: initial;
                            top: initial;
                            position: relative;

                            &::before {
                                font-family: dashicons;
                                font-size: 2.4rem;
                                line-height: 1;
                                position: absolute;
                                left: 50%;
                                top: 50%;
                                transform: translate(-50%, -50%);
                            }

                            @media screen and (max-width: 767px) {
                                &::before {
                                    font-size: 1.8rem;
                                }
                            }
                        }
                    }

                    .button:focus {
                        border-color: transparent;
                        box-shadow: none;
                    }
                }
            }

            .forgetmenot {
                display: none;
            }

            .submit {
                .button {
                    min-height: initial;
                    padding: 0;
                    float: none;
                    border: none;
                    cursor: pointer;
                    display: block;
                    margin: 5rem auto 0;
                    width: 21rem;
                    height: 5.2rem;
                    border: none;
                    border-radius: 1rem;
                    background-color: #dc000c;
                    font-family: "Noto Sans JP";
                    font-weight: bold;
                    font-size: 1.8rem;
                    letter-spacing: 0.05em;
                    line-height: 2;
                    text-align: center;
                    color: #fff;
                    box-shadow: 0 0.3rem 0.6rem rgba(0, 0, 0, 0.16);
                    transition: opacity ease 0.3s;

                    @media screen and (max-width: 767px) {
                        margin: 4rem auto 0;
                        width: 15rem;
                        height: 4rem;
                        border-radius: 0.5rem;
                        font-size: 1.4rem
                    }

                    &:hover {
                        opacity: 0.7;
                    }
                }
            }
        }

        #nav {
            display: none;
        }

        #backtoblog {
            display: none;
        }

    }

    .language-switcher {
        display: none;
    }
}